// 学生学习
import request from '@/common/request.js';
// 教师权限
export function queryTeacherCourseTypeList(data) {//获取顶部查询项
	return request.get('/api/v1/studCourseType/queryTeacherCourseTypeList', data)
}
export function teacherCenterPageData(data) {//课程中心分页列表
	return request.post('/api/v1/studCourseCenter/teacherCenterPageData', data)
}
export function teacherRecordPageListData(data) {//我的学习分页列表
	return request.post('/api/v1/studCourseRecord/teacherRecordPageListData', data)
}
export function teacherMinitorPageListData(data) {//学习监控分页列表
	return request.post('/api/v1/studCourseMinitor/teacherMinitorPageListData', data)
}
export function teacherSelectCourseDetail(id) {//视频详情
	return request.get(`/api/v1/studCourseRecord/teacherSelectCourseDetail/${id}`)
}
export function addQuestionAnswerData(data) {//教师学习课程答案信息填报接口
	return request.post('/api/v1/teachCourse/addQuestionAnswerData', data)
}
export function queryTeacherMinitorDetailData(data) {//查询学习监控页面详细信息接口
	return request.post('/api/v1/studCourseMinitor/queryTeacherMinitorDetailData', data)
}
export function updateFollowCountTeacher(teachingCourseId) {//关注-取消关注课程接口，返回关注数量
	return request.get(`/api/v1/studCourse/updateFollowCountTeacher/${teachingCourseId}`)
}
export function synTeacherLearnData(data) {//教师学习进度更新接口
	return request.post('/api/v1/studCourseCenter/synTeacherLearnData',data)
}